package org.dromara.system.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.CountData;
import org.dromara.system.domain.bo.CountDataBo;
import org.dromara.system.domain.vo.CountDataVo;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * CountService接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblCountDataService {

    /**
     * 查询丢失货物
     */
    CountDataVo queryById(Long id);

    CountDataVo queryByDate(Map<String, Object> bo);
    /**
     * 查询丢失货物列表
     */
    TableDataInfo<CountDataVo> queryPageList(CountDataBo bo, PageQuery pageQuery);

    /**
     * 查询丢失货物列表
     */
    List<CountDataVo> queryList(CountDataBo bo);

    /**
     * 新增丢失货物
     */
    Boolean insertByBo(CountData bo);

    Boolean insertData(CountData bo);

    /**
     * 修改丢失货物
     */
    Boolean updateByBo(CountData bo);

    /**
     * 校验并批量删除丢失货物信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
